Jovian
⭐️
Sign In
In [1]:
!pip install jovian --upgrade
Collecting jovian Downloading https://files.pythonhosted.org/packages/c9/12/f3608ae43414eeed3809e3fe17a5a08612ccbdc697b308e0bb6d6f3c3fe8/jovian-0.1.81.tar.gz Requirement not upgraded as not directly required: requests in /home/ec2-user/anaconda3/envs/pytorch_p36/lib/python3.6/site-packages (from jovian) (2.20.0) Collecting uuid (from jovian) Downloading https://files.pythonhosted.org/packages/ce/63/f42f5aa951ebf2c8dac81f77a8edcc1c218640a2a35a03b9ff2d4aa64c3d/uuid-1.30.tar.gz Requirement not upgraded as not directly required: pyyaml in /home/ec2-user/anaconda3/envs/pytorch_p36/lib/python3.6/site-packages (from jovian) (3.12) Requirement not upgraded as not directly required: chardet<3.1.0,>=3.0.2 in /home/ec2-user/anaconda3/envs/pytorch_p36/lib/python3.6/site-packages (from requests->jovian) (3.0.4) Requirement not upgraded as not directly required: idna<2.8,>=2.5 in /home/ec2-user/anaconda3/envs/pytorch_p36/lib/python3.6/site-packages (from requests->jovian) (2.6) Requirement not upgraded as not directly required: urllib3<1.25,>=1.21.1 in /home/ec2-user/anaconda3/envs/pytorch_p36/lib/python3.6/site-packages (from requests->jovian) (1.23) Requirement not upgraded as not directly required: certifi>=2017.4.17 in /home/ec2-user/anaconda3/envs/pytorch_p36/lib/python3.6/site-packages (from requests->jovian) (2019.6.16) Building wheels for collected packages: jovian, uuid Running setup.py bdist_wheel for jovian ... done Stored in directory: /home/ec2-user/.cache/pip/wheels/4b/c8/33/3b8c8cbb7b3024202c46fd57395447d19d99b87645b0eb27d6 Running setup.py bdist_wheel for uuid ... done Stored in directory: /home/ec2-user/.cache/pip/wheels/2a/80/9b/015026567c29fdffe31d91edbe7ba1b17728db79194fca1f21 Successfully built jovian uuid fastai 1.0.55 requires nvidia-ml-py3, which is not installed. thinc 6.12.1 has requirement msgpack<0.6.0,>=0.5.6, but you'll have msgpack 0.6.0 which is incompatible. Installing collected packages: uuid, jovian Successfully installed jovian-0.1.81 uuid-1.30 You are using pip version 10.0.1, however version 19.2.3 is available. You should consider upgrading via the 'pip install --upgrade pip' command.
In [3]:
import jovian

[jovian] Saving notebook..
[jovian] Failed to detect notebook filename. Please provide the notebook filename (including .ipynb extension) as the "nb_filename" argument to "jovian.commit".
In [ ]:
jovian.commit()
[jovian] Saving notebook..
In [ ]: